<?php

/**
 * Override header image in Tarski. Ours is variable-width.
 */

function tolarski_headerimage() {
    $header_img_url_base = get_bloginfo('stylesheet_directory') . '/headers/';
    echo "
<div id=\"header-image\">
<img alt=\"Header image\" src=\"".$header_img_url_base."/tolaris_level1_black.png\" id=\"header_image_blackbg\" />
<img alt=\"Header image\" src=\"".$header_img_url_base."/tolaris_level2_blue.png\" id=\"header_image_bluebg\" />
<img alt=\"Header image\" src=\"".$header_img_url_base."/tolaris_level3_gradient.png\" id=\"header_image_gradient\" />
<img alt=\"Header image\" src=\"".$header_img_url_base."/tolaris_level4_cmda.png\" id=\"header_image_cmd\" />
<img alt=\"Header image\" src=\"".$header_img_url_base."/tolaris_level5_sat.png\" id=\"header_image_satellite\" />
<img alt=\"Header image\" src=\"".$header_img_url_base."/tolaris_level6_science.png\" id=\"header_image_engineer\" />
<img alt=\"Header image\" src=\"".$header_img_url_base."/tolaris_level7_tolaris.png\" id=\"header_image_tolaris\" />
</div>\n\n";
}

function tolarski_footer() {
    echo "<p class=\"copyright\">All content &copy; 2008-".date('Y')." Tyler J. Wagner</p>\n\n";
}

function init_tolarski_header() {
    remove_all_actions('th_header');
    add_action('th_header', 'tolarski_headerimage');
    add_action('th_header', 'tarski_titleandtag');
    add_action('th_header', 'navbar_wrapper');
    add_action('th_header', 'tarski_next_prev_posts');
}

/**
 * Override date in post header of Tarski. Tarski prints only the date.
 * We want date+time.
 */

function init_tolarski_post_metadata() {
    remove_action('wp_head', 'tarski_post_metadata');
    add_action('wp_head', 'tolarski_post_metadata');
}

function tolarski_post_metadata_date($metadata) {
    $date = sprintf('<span class="date updated">%s</span>',
        get_the_time(get_option('date_format'))." ".get_the_time(get_option('time_format')));
    
    return $metadata . $date;
}

function tolarski_post_metadata() {
    $filters = array();

    if (!is_page()) {
        $filters[] = 'tolarski_post_metadata_date';
    }

    if (!(is_attachment() || is_page())) {
        $filters[] = 'tarski_post_categories_link';
        $filters[] = 'tarski_author_posts_link';
        $filters[] = 'tarski_comments_link';
    }

    $filters[] = 'tarski_post_metadata_edit';
    $filters[] = 'tarski_post_metadata_wrapper';

    foreach ($filters as $filter) {
        add_filter('th_post_metadata', $filter);
    }
}

/* Override parent theme on init. */

add_action('init', 'init_tolarski_header');
add_action('init', 'init_tolarski_post_metadata');
?>
